Explore MongoDB World 2019 announcements

Ops Manager Rapid Release Support Policy

Last updated: April 5, 2019. To see what changed with this policy, click here.

1. The Definitions provided at Section 10 of the MongoDB Support Policy apply to this Rapid Release Support Policy.

2. As of January 2019 and beginning with MongoDB Ops Manager 4.1.1, MongoDB will release Rapid Releases of Ops Manager approximately every three (3) weeks. To use a Rapid Release in a production environment, you must be approved for use of Rapid Releases after a readiness review from MongoDB. Choosing to use a Rapid Release commits you to use of Rapid Releases until the release date of the next Stable Release of Ops Manager that is a Major Version or Minor Version.

3. MongoDB provides limited Support for Ops Manager Rapid Releases. Support for a particular version starts on the release date and continues until the release date of the next Stable Release of Ops Manager that is a Major Version, plus an additional four (4) weeks for upgrade support. This support is limited: no backports or other backwards-looking changes are made or supported for Rapid Releases, and limited (if any) efforts are made to provide workarounds to any software bugs.

4. MongoDB supports Ops Manager upgrades only as outlined here:

a. MongoDB supports upgrades from an Ops Manager Stable Release to:

i. a higher version number Major Version or Minor Version Stable Release within the next Stable Release series following the Customer’s current Stable Release series (e.g., 3.4.x to 3.6.x will be supported, but 3.4.x directly to 4.0.x will not be); or

ii. the highest version number Rapid Release in the Rapid Release series that immediately succeeds the Customer’s current Stable Release series, after approval from MongoDB (e.g., 4.0.2 to 4.1.x will be supported where x is the highest Maintenance Release in the 4.1 series).

b. MongoDB supports upgrades from an Ops Manager Rapid Release to:

i. the highest available Maintenance Release in the Customer’s current Rapid Release series (e.g., 4.1.1 to 4.1.x will be supported where x is the highest Maintenance Release in the 4.1 series); or

ii. a higher version number Major Version or Minor Version Stable Release within the Stable Release series that immediately succeeds the Customer’s current Rapid Release series (e.g., 4.1.4 to 4.2.1 will be supported, but 4.1.4 directly to 4.4.0 will not be).